import * as React from 'react';
import { type IconBaseProps } from '@ant-design/icons/lib/components/Icon';
import type { IconColorProps } from '../hooks';
export interface AelfIconProps {
    componentName: string;
    component: React.FC<React.SVGProps<SVGSVGElement>>;
    defaultWidth?: string | number;
    defaultHeight?: string | number;
}
export declare const AelfIcon: React.ForwardRefExoticComponent<Omit<IconBaseProps & IconColorProps & AelfIconProps, "ref"> & React.RefAttributes<HTMLSpanElement>>;
