"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ClearIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _AelfIcon = require("../icon/AelfIcon");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var AelfSVGComponent = function AelfSVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 16 16",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M10 2.886a.2.2 0 0 1-.2.2H6.2a.2.2 0 0 1-.2-.2v-.85c0-.11.09-.2.2-.2h3.6c.11 0 .2.09.2.2v.85Zm-6.625 2.25H2.2a.2.2 0 0 1-.2-.2v-.85c0-.11.09-.2.2-.2h11.6c.11 0 .2.09.2.2v.85a.2.2 0 0 1-.2.2h-1.175v8.528a.5.5 0 0 1-.5.5h-8.25a.5.5 0 0 1-.5-.5V5.136Zm1.25 0v7.778h6.75V5.136h-6.75Zm2.55 1.975c.11 0 .2.09.2.2v3.6a.2.2 0 0 1-.2.2h-.85a.2.2 0 0 1-.2-.2v-3.6c0-.11.09-.2.2-.2h.85Zm2.5 4a.2.2 0 0 0 .2-.2v-3.6a.2.2 0 0 0-.2-.2h-.85a.2.2 0 0 0-.2.2v3.6c0 .11.09.2.2.2h.85Z",
    fill: "#127FFF"
  }));
};
const componentName = 'ClearIcon';
const ClearIcon = exports.ClearIcon = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(_AelfIcon.AelfIcon, _extends({
    component: AelfSVGComponent,
    componentName: componentName,
    defaultWidth: 16,
    defaultHeight: 16,
    ref: ref
  }, props));
});
ClearIcon.displayName = 'ClearIcon';